#!/usr/bin/perl

use strict;

use lib 'lib';
use lib qw(../lib);
use Event::RPC::Client;

main: {
    #-- This connects to the server, requests the exported
    #-- interfaces and establishes correspondent proxy methods
    #-- in the correspondent packages.
    my $client = Event::RPC::Client->connect (
      server   => "localhost",
      port     => 5555,
      error_cb => sub { print "An RPC error occured\n"; exit },
    );

    #-- So the call to Event::RPC::Test->new is handled transparently
    #-- by Event::RPC::Client
    my $object = Event::RPC::Test->new (
	    data => "some test data" x 5
    );

    #-- and methods calls as well...
    print "hello=".$object->hello,"\n";
    $object->set_data ("changed data");
    print "data=".$object->get_data."\n";

    #-- disconnection is handled by the destructor of $client	
}
