#!/usr/bin/perl

use strict;

use strict;
use lib qw(lib);
use lib qw(../lib);
use Event::RPC::Server;
use Event::RPC::Logger;

main: {
    #-- Create a logger object
    my $logger = Event::RPC::Logger->new (
	    min_level => 255,
	    fh_lref   => [ \*STDOUT ],
    );

    #-- Create a Server instance and declare the
    #-- exported interface
    my $server = Event::RPC::Server->new (
      name    => "test daemon",
      port    => 5555,
      logger  => $logger,
      classes => {
	'Event::RPC::Test' => {
	  new       => '_constructor',
	  set_data  => 1,
	  get_data  => 1,
	  hello     => 1,
	},
      },
    );

    #-- Start the server resp. the Event loop.
    $server->start;
}

1;

